Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.classifier.scoringFunctionBased.cll
Class CLLClassifierParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.parameters.SequenceScoringParameterSet
                  de.jstacs.classifier.scoringFunctionBased.ScoreClassifierParameterSet
                      de.jstacs.classifier.scoringFunctionBased.cll.CLLClassifierParameterSet

All Implemented Interfaces:
  RangeIterator, Storable, Cloneable

    public class CLLClassifierParameterSet

extends ScoreClassifierParameterSet

This class contains the parameters for the `CLLClassifier`.

Author:
  Jan Grau, Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`alphabet, length`

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`` | `CLLClassifierParameterSet(AlphabetContainer alphabet, int length, byte algo, double eps, double lineps, double startD, boolean free, OptimizableFunction.KindOfParameter kind, boolean norm)` The default constructor that constructs a new `CLLClassifierParameterSet`.
`protected` | `CLLClassifierParameterSet(Class<? extends ScoreClassifier> instanceClass, AlphabetContainer alphabet, int length, byte algo, double eps, double lineps, double startD, boolean free, OptimizableFunction.KindOfParameter kind, boolean norm)` The default constructor that constructs a new `CLLClassifierParameterSet`.
`` | `CLLClassifierParameterSet(StringBuffer xml)` The standard constructor for the interface `Storable`.

Method Summary
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.
`boolean` | `shouldBeNormalized()` This method indicates if a normalization shall be used while optimization.

Methods inherited from class de.jstacs.classifier.scoringFunctionBased.ScoreClassifierParameterSet
`getInstanceComment, getInstanceName, useOnlyFreeParameter`

Methods inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`clone, equals, fromXML, getAlphabet, getIndex, getLength, getNumberOfParameters, getParameterAt, hasDefaultOrIsSet, replaceParametersWithRangedInstance, reset, toXML`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass`

Methods inherited from class de.jstacs.parameters.ParameterSet
`getErrorMessage, getId, getNumberOfValues, getParent, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, resetToFirst, setParent, simplify, valuesToString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CLLClassifierParameterSet

    public CLLClassifierParameterSet(StringBuffer xml)
                              throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `CLLClassifierParameterSet` out of its XML representation.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `CLLClassifierParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` could not be parsed)
  See Also:
    `ScoreClassifierParameterSet.ScoreClassifierParameterSet(StringBuffer)`, `Storable`

### CLLClassifierParameterSet

    public CLLClassifierParameterSet(AlphabetContainer alphabet,
                                     int length,
                                     byte algo,
                                     double eps,
                                     double lineps,
                                     double startD,
                                     boolean free,
                                     OptimizableFunction.KindOfParameter kind,
                                     boolean norm)
                              throws Exception

  The default constructor that constructs a new `CLLClassifierParameterSet`.

  Parameters:
    `alphabet` - the `AlphabetContainer`
    `length` - the length of the sequences
    `algo` - the algorithm that shall be used for optimization
    `eps` - the epsilon for stopping the optimization
    `lineps` - the epsilon for stopping the line search
    `startD` - the start distance for the line search
    `free` - the switch for using only the free or all parameters in a `ScoringFunction`
    `kind` - indicates the kind of class parameter initialization
    `norm` - the switch for using a normalization while optimization
  Throws:
    `Exception` - if something went wrong
  See Also:
    `OptimizableFunction.KindOfParameter`, `CLLClassifierParameterSet(Class, de.jstacs.data.AlphabetContainer, int, byte, double, double, double, boolean, de.jstacs.classifier.scoringFunctionBased.OptimizableFunction.KindOfParameter, boolean)`

### CLLClassifierParameterSet

    protected CLLClassifierParameterSet(Class<? extends ScoreClassifier> instanceClass,
                                        AlphabetContainer alphabet,
                                        int length,
                                        byte algo,
                                        double eps,
                                        double lineps,
                                        double startD,
                                        boolean free,
                                        OptimizableFunction.KindOfParameter kind,
                                        boolean norm)
                                 throws Exception

  The default constructor that constructs a new `CLLClassifierParameterSet`.

  Parameters:
    `instanceClass` - the class of the instance
    `alphabet` - the `AlphabetContainer`
    `length` - the length of the sequences
    `algo` - the algorithm that shall be used for optimization
    `eps` - the epsilon for stopping the optimization
    `lineps` - the epsilon for stopping the line search
    `startD` - the start distance for the line search
    `free` - the switch for using only the free or all parameters in a `ScoringFunction`
    `kind` - indicates the kind of class parameter initialization
    `norm` - the switch for using a normalization while optimization
  Throws:
    `Exception` - if something went wrong
  See Also:
    `OptimizableFunction.KindOfParameter`, `ScoreClassifierParameterSet.ScoreClassifierParameterSet(Class, de.jstacs.data.AlphabetContainer, int, byte, double, double, double, boolean, de.jstacs.classifier.scoringFunctionBased.OptimizableFunction.KindOfParameter)`

Method Detail

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Overrides:
    `loadParameters` in class `ScoreClassifierParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

### shouldBeNormalized

    public boolean shouldBeNormalized()

  This method indicates if a normalization shall be used while optimization. The normalization is done through division by the number of sequences.

  Returns:
    `true` if a normalization shall be used while optimization, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD